# Copyright (C)2006..2017 @BABOLO http://www.babolo.ru/
# PKG = babolo-libmake
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: subdir.make,v 1.10 2021/10/23 18:21:43 babolo Exp $

SUBDIR	+= ${NXTDIR} ${MODULE}

all:
.for I in ${SUBDIR}
	@echo ================== ${I} ==================
	@(cd ${I}; ${MAKE} ${MAKEFLAGS} all)
.endfor

findiff:
	@ subdir.pgoblin
.for I in ${NXTDIR}
	@echo ================== ${I} ==================
	@(cd ${I}; ${MAKE} findiff)
.endfor

ignore:
	@-make -V IGNORE | tr ' ' '\n' | grep -v '^CVS$$'
.for I in ${NXTDIR}
	@echo ================== ${I} ==================
	@(cd ${I}; ${MAKE} ignore)
.endfor

clean:
.for I in ${SUBDIR}
	@echo ================== ${I} ==================
	@(cd ${I}; ${MAKE} ${MAKEFLAGS} clean)
.endfor

tarball:
.for I in ${SUBDIR}
	@echo ================== ${I} ==================
	@(cd ${I}; ${MAKE} ${MAKEFLAGS} tarball)
.endfor

install:
.for I in ${SUBDIR}
	@echo ================== ${I} ==================
	@(cd ${I}; ${MAKE} ${MAKEFLAGS} install)
.endfor

version:
.for I in ${MODULE}
	@(cd ${I}; ${ECHO} "`${MAKE} -V VMAJOR`.`${MAKE} -V VMINOR`	`${MAKE} -V PKG`")
.endfor
.for I in ${NXTDIR}
	@(cd ${I}; ${MAKE} version)
.endfor
